Subject: FVWM: PipeRead question

From: Neil Zanella <[email-masked]>
Date: Sat, 18 Nov 2000 05:54:03 -0330 (NST)

Hello,

I have a question regarding PipeRead. I am trying to use it to read
the output of a script and use it as a text string to be passed to
FvwmForm as follows:

*LogoutVerifyText        PipeRead "/home/nzanella/logout.sh"

My script is well tested and works fine and the rest of the
Module FvwmForm LogoutVerify is also OK. The ~/.xsession-error
file does not complain but when I open the form with a mouse
click the text output of PipeRead is just not on the form.
Did I do something wrong?

Thanks,

Neil

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 18 Nov 2000 13:27:33 +0200

> Did I do something wrong?

PipeRead is the fvwm command, FvwmForm or other module do not know about
it, so you can't use it in the middle of the line. Instead, you can use:

  PipeRead `printf '*LogoutVerifyText '; /home/nzanella/logout.sh`

If you have many similar lines, you could probably like to write a shell
script generating the form (all *LogoutVerify lines) and PipeRead it once.

Regards,
Mikhael.